Pentaho BI Platform Plugin Services

Tagspluginserviceplatform
DateDec 04, 2014
Filespom (15 KB)  jar   View All
RepositoriesPentahoOmni
Ranking#236736 in MvnRepository (See Top Artifacts)
Used By1 artifacts
VulnerabilitiesVulnerabilities from dependencies:
CVE-2024-22257
CVE-2022-44730
CVE-2022-44729
View 28 more ...


Note: this artifact is located at PentahoOmni repository (https://nexus.pentaho.org/content/groups/omni/)

Compile Dependencies (71)

Category/License Group / ArtifactVersionUpdates
Bytecode
Apache 2.0
cglib » cglib-nodep (optional) 2.1_33.3.0

com.mockrunner » mockrunner-servlet (optional) 0.3.72.0.7
Reflection
Apache 2.0
commons-beanutils » commons-beanutils (optional) 1 vulnerability 1.61.9.4
Collections
Apache 2.0
commons-collections » commons-collections (optional) 2 vulnerabilities 3.24.4
JDBC Pool
Apache 2.0
commons-dbcp » commons-dbcp (optional) 1.42.12.0
HTTP Clients
Apache 2.0
commons-httpclient » commons-httpclient (optional) 1 vulnerability 3.0.14.5.14
I/O
Apache 2.0
commons-io » commons-io (optional) 1 vulnerability 1.42.16.1
Logging
Apache 2.0
commons-logging » commons-logging (optional) 1.11.3.3
Object Pool
Apache 2.0
commons-pool » commons-pool (optional) 1.5.72.12.0

Apache 2.0
commons-vfs » commons-vfs (optional) 1.02.9.0
XML Processing
dom4j » dom4j (optional) 2 vulnerabilities 1.6.12.1.4
Embedded SQL DB
hsqldb » hsqldb (optional) 1.8.0.72.7.3
Java Spec
javax.jcr » jcr (optional) 1.02.0
Mail Client
CDDLGPL 2.0
javax.mail » mail (optional) 1.4.11.6.2
XPath
BSD 2-clause
jaxen » jaxen (optional) 1.12.0.0
Testing
EPL 2.0
junit » junit (optional) 4.45.10.3
Logging
Apache 2.0
log4j » log4j (optional) 5 vulnerabilities 1.2.162.23.1

MPL 1.0
net.sf.saxon » saxon (optional) 8.5.19.1.0.8

Apache 2.0
org.apache.avalon.framework » avalon-framework-api (optional) 4.3.1

Apache 2.0
org.apache.avalon.framework » avalon-framework-impl (optional) 4.3.1

Apache 2.0
org.apache.axis2 » axis2-adb (optional) 1.4.11.8.2
CodeGen
Apache 2.0
org.apache.axis2 » axis2-codegen (optional) 1.4.11.8.2

Apache 2.0
org.apache.axis2 » axis2-java2wsdl (optional) 1.4.11.8.2

Apache 2.0
org.apache.axis2 » axis2-kernel (optional) 1.4.11.8.2

Apache 2.0
org.apache.directory.server » apacheds-core (optional) 1.0.22.0.0.AM27

Apache 2.0
org.apache.directory.server » apacheds-server-jndi (optional) 1.0.22.0.0.AM27

Apache 2.0
org.apache.geronimo.specs » geronimo-stax-api_1.0_spec (optional) 1.01.2

Apache 2.0
org.apache.ws.commons.axiom » axiom-api (optional) 1.2.71.4.0

Apache 2.0
org.apache.ws.commons.axiom » axiom-dom (optional) 1.2.71.4.0

Apache 2.0
org.apache.ws.commons.axiom » axiom-impl (optional) 1.2.71.4.0

Apache 2.0
org.apache.xmlgraphics » batik-anim (optional) 1.71.17

Apache 2.0
org.apache.xmlgraphics » batik-awt-util (optional) 1.71.17

Apache 2.0
org.apache.xmlgraphics » batik-bridge (optional) 1 vulnerability 1.71.17

Apache 2.0
org.apache.xmlgraphics » batik-codec (optional) 1.71.17

Apache 2.0
org.apache.xmlgraphics » batik-dom (optional) 1.71.17

Apache 2.0
org.apache.xmlgraphics » batik-extension (optional) 1.71.17

Apache 2.0
org.apache.xmlgraphics » batik-gui-util (optional) 1.71.17

Apache 2.0
org.apache.xmlgraphics » batik-gvt (optional) 1.71.17
SVG Libraries
Apache 2.0
org.apache.xmlgraphics » batik-parser (optional) 1.71.17
SVG Libraries
Apache 2.0
org.apache.xmlgraphics » batik-svg-dom (optional) 1.71.17
SVG Libraries
Apache 2.0
org.apache.xmlgraphics » batik-svggen (optional) 1.71.17

Apache 2.0
org.apache.xmlgraphics » batik-swing (optional) 1.71.17

Apache 2.0
org.apache.xmlgraphics » batik-script (optional) 1 vulnerability 1.71.17

Apache 2.0
org.apache.xmlgraphics » batik-transcoder (optional) 1 vulnerability 1.71.17

Apache 2.0
org.apache.xmlgraphics » xmlgraphics-commons (optional) 1 vulnerability 1.22.9

Apache 2.0
org.apache.xmlgraphics » fop (optional) 1 vulnerability 0.942.9
O/R Mapping
LGPL 2.1
org.hibernate » hibernate (optional) 3.2.6.ga6.5.2.Final
Mocking
BSD
org.jmock » jmock-junit4 (optional) 2.5.12.13.1
Logging Bridge
MIT
org.slf4j » slf4j-log4j12 (optional) 1.5.82.0.13

Apache 2.0
org.springframework.ldap » spring-ldap-core (optional) 1 vulnerability 1.3.0.RELEASE3.2.4
Security
Apache 2.0
org.springframework.security » spring-security-core (optional) 13 vulnerabilities 2.0.5.RELEASE6.3.1

org.springframework.security » spring-security-core-tests (optional) 2.0.5.RELEASE

EPL 1.0
pentaho » mondrian (optional) 3.5.09.3.0.0-433

Apache 2.0
pentaho » pentaho-connections (optional) 2.2.39.3.0.0-433

LGPL 2.1
pentaho » pentaho-xul-core (optional) 3.3.59.4.0.0-343

pentaho » pentaho-xul-html (optional) 3.3.57.1.0.31-241

MPL 1.1
pentaho » pentaho-versionchecker (optional) 2.0.19.3.0.0-433

pentaho » pentaho-actionsequence-dom (optional) 2.3.47.1.0.31-241

Apache 2.0
pentaho » pentaho-metadata (optional) 3.4.68.0.0.2-147

pentaho » pentaho-bi-platform-api 4.8.0-stable

pentaho » pentaho-bi-platform-util 4.8.0-stable

pentaho » pentaho-bi-platform-engine-core 4.8.0-stable

pentaho » pentaho-bi-platform-engine-security 4.8.0-stable

pentaho » pentaho-bi-platform-engine-services 4.8.0-stable

pentaho » pentaho-bi-platform-repository 4.8.0-stable

pentaho » pentaho-bi-platform-ui-foundation 4.8.0-stable

pentaho » pentaho-bi-platform-test-foundation (optional) 4.8.0-stable

Apache 2.0
quartz » quartz (optional) 1.5.22.3.2

MPL 2.0
rhino » js (optional) 1.7R11.7.15

simple-jndi » simple-jndi (optional) 0.11.30.11.4.1
WS Metadata
CPL 1.0
wsdl4j » wsdl4j (optional) 1.6.21.6.3